#
# Disaster Recovery: 
#
#   DC1: 
#     Not available!
#   DC2: 
#     - Restore Postgres  
#     - Install Mattermost 
#     - Bring Online 
#
# Testing the Disaster Recovery: 
#
#   DC1: 
#     Keep running as the active site 
#   DC2: 
#     - Restore Postgres
#     - Restore Backup 
#     - Mirror Buckets 
# 
#
# Preconditions for DR. The following items must be available in the DR availability zone 
# - Mattermost S3 Buckets (replicated from main site)
#

- name: Download secrets 
  import_tasks: "download_secrets.yml"
  tags: [ never, download_secrets ]
  
- name: Recover DB
  import_tasks: "recover_db_from_s3_archive.yml"
  tags: [ never, recover_db ]

- name: Restore Backup 
  import_tasks: "restore_backup.yml"
  tags: [ never, restore_backup ]
 
- name: Mirror Buckets
  import_tasks: "mirror-buckets.yml"
  tags: [ never, mirror_buckets ]

- name: Bring Online
  import_tasks: "bring_online.yml"
  tags: [ never, bring_online ]
